Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class ComplexCommandSupport

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport

    abstract class ComplexCommandSupport
    extends CommandSupport

Support for more complex commands.

Authors:
  Jason Dillon

Version:
  \$Id: ComplexCommandSupport.groovy 8806 2007-10-25 21:58:29Z user57 \$

Field Summary
`protected String` | `defaultFunction`
`protected List` | `functions`

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`def` | `do_all`

Constructor Summary
`ComplexCommandSupport(Shell shell, String name, String shortcut)`

Method Summary
`protected List` | `createCompletors()`
`Object` | `execute(List args)`
`protected def` | `executeFunction(List args)`
`protected Closure` | `loadFunction(String name)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### defaultFunction

    protected String defaultFunction

### functions

    protected List functions

Property Detail

### do_all

    def do_all

Constructor Detail

### ComplexCommandSupport

    ComplexCommandSupport(Shell shell, String name, String shortcut)

Method Detail

### createCompletors

    protected List createCompletors()

### execute

    Object execute(List args)

### executeFunction

    protected def executeFunction(List args)

### loadFunction

    protected Closure loadFunction(String name)

Copyright © 2003-2010 The Codehaus. All rights reserved.